=== debian/watch ===
version=3

opts="uversionmangle=s/^2./2./" \
http://oss.tresys.com/projects/refpolicy/wiki/DownloadRelease \
 /files/refpolicy/refpolicy-(.*)\.tar\.bz2
