=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(MAKE) bare
 	for flavour in $(FLAVOURS) ; do \
 	  rm -f $(CURDIR)/debian/selinux-policy-$$flavour.postinst; \
+	  rm -f $(CURDIR)/debian/selinux-policy-$$flavour.postrm; \
 	  rm -rf $(CURDIR)/debian/build-$$flavour; \
 	  rm -f build-$$flavour-policy; \
 	  rm -f install-$$flavour-policy; \
@@ -66,7 +67,7 @@
 	cp debian/build.conf.$* $(CURDIR)/debian/build-$*/build.conf
 	$(MAKE) -C $(CURDIR)/debian/build-$*                               \
                    NAME=$* TYPE=$(TYPE_$*) UBAC=$(UBAC_$*) UNK_PERMS=$(UNK_PERMS_$*) $(COMMON_OPTIONS) bare
-	(cd $(SRCTOP)/debian/build-$(package) ;                            \
+	(cd $(CURDIR)/debian/build-$* ;                            \
            $(MAKE) NAME=$* TYPE=$(TYPE_$*) UBAC=$(UBAC_$*) UNK_PERMS=$(UNK_PERMS_$*) $(COMMON_OPTIONS) conf)
 	cp debian/modules.conf.$*                                          \
                      $(CURDIR)/debian/build-$*/policy/modules.conf
@@ -124,6 +125,8 @@
 	    $(MAKE) NAME=default TYPE=$(TYPE_default) UBAC=$(UBAC_default) UNK_PERMS=$(UNK_PERMS_default) $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp install-headers)
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/selinux/devel/
 	mv $(CURDIR)/debian/tmp/usr/share/selinux/default/include $(CURDIR)/debian/tmp/usr/share/selinux/devel/
+	grep -v genfscon.selinuxfs $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if > $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if.new
+	mv $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if.new $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if
 	cp -a $(CURDIR)/debian/Makefile.devel $(CURDIR)/debian/tmp/usr/share/selinux/devel/Makefile
 	touch $@
